<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$sessao = new sessao();
$mesNumero=$sessao->getVar('controle');
$nomeLaso=$sessao->getVar('controle3');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$inicio=$sessao->getVar('inicio');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 //$maximoLAdobe=297;//isso para horizontal
 //$maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=15;
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 //$larguraUtil=$maximoLAdobe;
 $cinza=220;
 //$fonte="Arial";
 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 //define os parametros laso
 $dadosLabo[1][1]="LASO/LFDA-MG ";
$dadosLabo[1][2]="Av. Raja Gabaglia, n° 245, Setor S";
$dadosLabo[1][3]="Bairro Cidade Jardim";
$dadosLabo[1][4]="CEP: 30.380-103";
$dadosLabo[1][5]="Belo Horizonte/MG";
$dadosLabo[1][6]="(31) 3253 3135";

$dadosLabo[2][1]="LASO/LFDA-GO";
$dadosLabo[2][2]="Rua da Divisa, s/n°";
$dadosLabo[2][3]="Bairro Setor Jaó";
$dadosLabo[2][4]="CEP: 74.674-025";
$dadosLabo[2][5]="Goiânia/GO";
$dadosLabo[2][6]="(62) 3232 7200";

$dadosLabo[3][1]="LASO/LFDA-RS";
$dadosLabo[3][2]="Estrada Retiro da Ponta Grossa n° 3036";
$dadosLabo[3][3]="Bairro Ponta Grossa";
$dadosLabo[3][4]="CEP: 91.780-580";
$dadosLabo[3][5]="Porto Alegre/RS";
$dadosLabo[3][6]="(51) 3248 2133";

/*$dadosLabo[4][1]="LASO/LFDA-PE";
$dadosLabo[4][2]="Av. General San Martin n° 1000";
$dadosLabo[4][3]="Bairro Bongi";
$dadosLabo[4][4]="CEP: 50630-060";
$dadosLabo[4][5]="Recife/PE";
$dadosLabo[4][6]="(81) 3231 9576";*/

if($cliente=="BAREN" || $cliente=='QUALITESTE' || $cliente=='LACADOR' || $cliente=='SEEDS' || $cliente=='UFLA')$codigoLASO=1;//belo horizonte
if($cliente=="LAS CONCEITO" || $cliente=='VIGOR' || $cliente=='CITYCORP' || $cliente=='SEMPRE'  || $cliente=='LIMAGRAIN'  || $cliente=='IAGRO'  || $cliente=='IAGRODOU'  || $cliente=='TRISOLO')$codigoLASO=2;//GOIANIA
if($cliente=="LASSUL" || $cliente=='TS LABORATORIO' || $cliente=='UNIJUI'  || $cliente=='IRGA' || $cliente=='ADV'   )$codigoLASO=3;//PORTO ALEGRE
if($cliente=="" || $cliente=='' )$codigoLASO=4;//recife

$sql="select fic_testes_realizar,fic_id,esp_nome,esp_nome_cientifico,esp_tipo,doc_numero,fic_amostra,fic_analise_reanalise,esp_ensaios_analise,esp_ensaios_reanalise from ficha,cultivar,especies,documentos,documentosponte  where doc_tipo='Boletim' and fic_labo=".$idLabo." and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoCorrente."'  and MONTH(doc_data)='".$mesNumero."' and fic_cultivar=ctv_id && ctv_especie=esp_id order by esp_nome_cientifico";	

//echo("sqlSeletor=$sqlSeletor<br>");

//ENTRA DE QUAKQUER MANEIRA
$generica=new tabelagenerica();
$generica->extras_select =$sql;
$generica->selecionaCamposEspecial($generica);

$contador=0;

$contaRegistros=0;
$espacie1="@";
$larguraLinha=4;
$totalAmostrasAnalise=0;
$totalEnsaiosAnalise=0;
$totalAmostrasReanalise=0;
$totalEnsaiosReanalise=0;
$bolMaior=0;
$bolMenor=10000;
$contaRegistros=0;
$concatenaAmostras=" RF=";
while ($res = $generica->retornaDados()):
    $contaRegistros++;
	$especie2=$res->esp_nome_cientifico; //vai na coluna 2 e serve para ordenar dentro do grupo
	$especie3=$res->esp_nome;//vai na coluna 3
	$tipoX=$res->esp_tipo;//lab nome
    $ensaiosAnalise=$res->esp_ensaios_analise;
    $ensaiosReanalise=$res->esp_ensaios_reanalise;
	$situacao=$res->fic_analise_reanalise;
	$reanaliseFiscal="NAO";	
	//iagro é o unico laboratorio oficial que fas reanalise fiscal
	if(substr($cliente,0,5)=='IAGRO')://se for iagro tem reanalise fiscal. se for reanalise fiscal vai calcular com base nos testes a realizar
     //$concatenaAmostras=$concatenaAmostras.$res->fic_amostra.";";
	 if($situacao=='3'):
	    $concatenaAmostras=$concatenaAmostras.$res->fic_amostra.";";
	    //$concatenaAmostras=$concatenaAmostras.$res->fic_amostra."w";
	    $reanaliseFiscal="SIM";
		$testesRealizar="x".$res->fic_testes_realizar;	
	 endif;	
	endif;
	
	$amostraLong=$res->fic_id;
    $numeroBoletim=$res->doc_numero;
    if($numeroBoletim>$bolMaior)$bolMaior=$numeroBoletim;
    if($numeroBoletim<$bolMenor)$bolMenor=$numeroBoletim;
    $matrizTestes[0][$contaRegistros]="AM=".$res->fic_amostra;
    if($especie1!=$especie2):
        $contaAdicionaisPMS=0; 
        $contaAdicionaisVER=0; 
        $contaAdicionaisDTU=0; 
        $contaAdicionaisTZO=0; 
		$contaAmostrasAnalise=0;
		$contaEnsaiosAnalise=0;
		$contaAmostrasReanalise=0;
		$contaEnsaiosReanalise=0;
	    $contador++;
        $conteudo[$contador][1]=$tipoX;//lab nome
        //$conteudo[$contador][2]=$res->esp_nome;//lab nome
        $conteudo[$contador][2]=$especie2;//nome cientifico
        $conteudo[$contador][3]=$especie3;//nome comum
		
		$especie1=$especie2;
		//teste adicional é aquele dtu,pms que pode ou nao ter sido feito
		$testeAdicional[$contador][1]="";//pms
		$testeAdicional[$contador][2]="";//dt1
		$testeAdicional[$contador][3]="";//tzo
		$testeAdicional[$contador][4]="";//ver
    endif;//testa se especie2<>de especie1
	//vai pegar as analises feitas///////////////////////////////////
	//aqui vou capturar tudo da REAN1
	$contaTestes=0;
	////////////////////////////////////////////////////
	
if($cliente!='LIMAGRAIN')://limagrain nao vai pesquisar outros testes
	//aqui vou capturar tudo da REAN1
	$contaTestes=0;
    //ESPECIAL IAGRO LAB OFICIAL##########################################################################
    //ESPECIAL IAGRO LAB OFICIAL##########################################################################
    //ESPECIAL IAGRO LAB OFICIAL##########################################################################
    //aqui ele percorre a rean1, catando os testes que realmente foram feitos
    //se for reanalise fiscal vai pegar os TESTES A REALIZAR. Caso contrario vai pegar do que achar na rean
    if($reanaliseFiscal=="SIM"):
      if(strpos($testesRealizar,"PUR")>0):
	     $ensaiosReanalise+=1;
         $concatenaAmostras=$concatenaAmostras."P";  
	  endif;
      if(strpos($testesRealizar,"GER")>0):
		 $ensaiosReanalise+=1;
         $concatenaAmostras=$concatenaAmostras."G";  
	  endif;
      if(strpos($testesRealizar,"DOS")>0):
		 $ensaiosReanalise+=1;
         $concatenaAmostras=$concatenaAmostras."D";  
	  endif;
	  //aqui posso extender os testes, de acordo com o entender  do FELIPE DO IAGRO
	  

      //$concatenaAmostras=$concatenaAmostras."testes=".$testesRealizar	;  
    else: //se nao for reanalise oficial
	   	$genericaRean=new tabelagenerica();
		$genericaRean->tabela="rean1";
		$genericaRean->campos_valores = array(
			   "rea_teste" => NULL,
			   "rea_v1" => NULL,
			   "rea_v2" => NULL,
			   "rea_v3" => NULL,
			   "rea_v4" => NULL,
			   "rea_v5" => NULL,
			   "rea_v6" => NULL,
		);
		$genericaRean->extras_select =" where rea_boletim='S' and rea_ficha=".$amostraLong;
		$genericaRean->selecionaCampos($genericaRean);
	    $testesNestaAmostra=0;
		//vai percorrer a tabela rean para ver todos testes nesta ficha se tem o teste e foi informado valor ele atribui o valor 1 na variavel 
		
		$saoTomeVER=0;
		$saoTomePMS=0;
	    
		while($resgenericaRean= $genericaRean->retornaDados()):
		   $contaTestes++;
		   
	       $teste= $resgenericaRean->rea_teste;
	       $matrizTestes[$contaTestes][$contaRegistros]=$teste.'='.$resgenericaRean->rea_v1 .'s='.$situacao;
		   if($teste=='PMS'  && $resgenericaRean->rea_v1>0):
		       $contaAdicionaisPMS++;
		       $saoTomePMS=1;
		       $testesNestaAmostra++;
			   $testeAdicional[$contador][1]="(+".$contaAdicionaisPMS."PMS) ";
		   endif;
		   
		   	   
		   if(substr($teste,0,2)=='VE'  && $resgenericaRean->rea_v1>0):
		      $contaAdicionaisVER++;
		      $saoTomeVER=1;//
		      $testesNestaAmostra++;
			  $testeAdicional[$contador][4]="(+".$contaAdicionaisVER."VER) ";
		   endif;

	       if($teste=='DTU' && $resgenericaRean->rea_v1>0):
		      $contaAdicionaisDTU++;
		      $testesNestaAmostra++;
			  $testeAdicional[$contador][2]="(+".$contaAdicionaisDTU."DTU) ";
		   endif;
		   	  
		   if(substr($teste,0,2)=='TZ'  && $resgenericaRean->rea_v1>0):
		   	  $contaAdicionaisTZO++;
		      $testeAdicional[$contador][3]="(+".$contaAdicionaisTZO."TZ)";
		      $testesNestaAmostra++;
		   endif;
		   	  
		   if($teste=='GERM'  && $resgenericaRean->rea_v1>0):
		      $testesNestaAmostra++;
	       endif;	  
		   //echo("882 teste=$teste<br>");   
	    endwhile;

	    //if($saoTomeVER==0 && $saoTomePMS==1)$saoTomeVER=1;	
		 //SE VERIFICACAO NAO FOI FEITA ELE AINDA TESTA SE É FORRAGEIRA E SE FEZ PMS 	
	    if($saoTomeVERXXXXXX==0):
	        if(substr(strtoupper($tipoX ?? ""),0,2)=="FOX"  && $saoTomePMS==1):
			    $contaAdicionaisVER++;
			    $saoTomeVER=1;// SE FOR FORRRAGEIRA E SE FEZ PMS DEDUZ QUE FEZ VERIFICACAO MESMO NAO TENDO MAPEADO NEM INFORMADO
		        $testesNestaAmostra++;
			    $testeAdicional[$contador][4]="(+".$contaAdicionaisVER."VERW) ";
			endif;		
		endif;
		////////////////////////////////////////////////////
	    $ensaiosAnalise+=$testesNestaAmostra;
  endif;//perguntos se é reanalise fiscal
 endif;//PERGUNTA SE É diferente de  LIMAGRAIN 





    //se for o irga entao o rebeneficiamento é analise  1=analise  2=revalidacao  3=rebeneficiamento   4 reteste
   if($cliente=="IRGA"):
    if($situacao=="1" || $situacao=="3" )://se situacao  foi 1(analise) ou 3 rebeneficiamento  IRGA-JULIO 11/0923)
       //vai contar os ensaios feitos feitos nesta amostra segundo cada especie 
       $contaEnsaiosAnalise+=$ensaiosAnalise;
       $totalEnsaiosAnalise+=$ensaiosAnalise;
       //vai contar as amostras encontradas na filtragem considerando a situacao analise e demais situacoes(reembalagem e reteste)
	   $contaAmostrasAnalise++;
	   $totalAmostrasAnalise++;
	else://se situacao nao foi 1 nem 3(analise nem eebeneficiamento))
       //vai contar os ensaios feitos feitos nesta amostra segundo cada especie 
       $contaEnsaiosReanalise+=$ensaiosReanalise;
       $totalEnsaiosReanalise+=$ensaiosReanalise;
       //vai contar as amostras encontradas na filtragem considerando a situacao analise e demais situacoes(reembalagem e reteste)
       $contaAmostrasReanalise++;
	   $totalAmostrasReanalise++;
	endif;	   
  else://se nao for IRGA  aqui cai tudo que nao é analise######################################################################
    if($situacao=="1")://se situacao  foi 1(analise))
       //vai contar os ensaios feitos feitos nesta amostra segundo cada especie 
       $contaEnsaiosAnalise+=$ensaiosAnalise;
       $totalEnsaiosAnalise+=$ensaiosAnalise;
       //vai contar as amostras encontradas na filtragem considerando a situacao analise e demais situacoes(reembalagem e reteste)
	   $contaAmostrasAnalise++;
	   $totalAmostrasAnalise++;
	else://se situacao nao foi 1(analise))
       //vai contar os ensaios feitos feitos nesta amostra segundo cada especie 
       $contaEnsaiosReanalise+=$ensaiosReanalise;
       $totalEnsaiosReanalise+=$ensaiosReanalise;
       //vai contar as amostras encontradas na filtragem considerando a situacao analise e demais situacoes(reembalagem e reteste)
       $contaAmostrasReanalise++;
	   $totalAmostrasReanalise++;
	endif;	   

   endif; //testou se é irga
    //fim da parte que pega as analises feitas nesta amostra agora imprime o que apareceu...
    $alturaLinha=3; 
    for($j=1;$j<=4;$j++):
	   $cotaE1=50;
       for($i=0;$i<=8;$i++):
          $cotaE1+=$alturaLinha;
	      $pdf->setXY($margemEsquerda+$j*30,$cotaE1);
          //$pdf->Cell(20,$alturaLinha,$matrizTestes[$i][$j],0,0,'L');//lab nome
	   endfor; 
	endfor;    	
    $conteudo[$contador][4]=$contaAmostrasAnalise;//avancou indice ajustado em 240224
    $conteudo[$contador][5]=$contaEnsaiosAnalise;//avancou indice ajustado em 240224
	$conteudo[$contador][6]=$contaAmostrasReanalise;//avancou indice ajustado em 240224
	$conteudo[$contador][7]=$contaEnsaiosReanalise;//avancou indice ajustado em 240224
endwhile;




//monta a linha de totais
$contador++;
$conteudo[$contador][1]="-";//lab nome
$conteudo[$contador][2]="Total=";//lab nome
$conteudo[$contador][4]=$totalAmostrasAnalise;//avancou indice ajustado em 240224
$conteudo[$contador][5]=$totalEnsaiosAnalise;//avancou indice ajustado em 240224
$conteudo[$contador][6]=$totalAmostrasReanalise;//avancou indice ajustado em 240224
$conteudo[$contador][7]=$totalEnsaiosReanalise;//avancou indice ajustado em 240224





$novaPagina="SIM";
$contaLinhasImprimidas=0;
//importante entender que aqui ele imprime mas so imprime o cabecalho se passar do numero x de linhas


for($linha=1;$linha<=$contador;$linha++):
  $pdf->setXY($margemEsquerda,$cota1);
  if($contaLinhasImprimidas>30)$contaLinhasImprimidas=0;
  ///cabecalho/////////////////////////////////////////////////////////////////////////////
  if($contaLinhasImprimidas==0):
          
	//IMPRIME A LOGO DO MINISTERIO
	$pdf->AddPage();//adicionando a primera pafina 
	$posicaoCab1=$margemEsquerda;
	$posicaoCab2=45;
	$cota1=3;
	//dizeres do cabecalho
	$caminhoFinal1="Imagens/logotipo_brazao_pequeno.jpg";
	//aqui vou por a tabela//////////////////////////////////




	$pdf->Image($caminhoFinal1,$margemEsquerda,$cota1,15,15,'JPG'); 
	$salto=3;
	$pdf->SetFont('Arial','B',8);
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("Ministério da Agricultura e Pecuária"),0,1,'L');//lab nome
	//$pdf->Cell(140,5,"Ministério da Agricultura e Pecuária",0,1,'L');//lab nome

	//linha2
	$pdf->SetFont('Arial','',8);
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("MAPA/SDA/DTEC/CGAL"),0,1,'L');//lab nome
	//linha3
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("Coordenação de Gestão de Qualidade Laboratorial - CQL"),0,1,'L');//lab nome
	//linha4
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("Divisão de Fiscalização, Auditoria e Credenciamento - DIFAC"),0,1,'L');//lab nome
	//linha5
	$cota1+=$salto;
	$pdf->setXY($posicaoCab2,$cota1);
	$pdf->Cell(140,5,utf8_decode("FORMULÁRIO - FOR"),0,1,'L');//lab nome
	//linha6 nome do relatorio
	$cota1+=2*$salto;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil,5,utf8_decode("FOR DIFAC/014/04 - Relatório Mensal de Análises de Sementes, por Espécie"),1,1,'C');//lab nome
	//logo do lab
	$cota1+=2*$salto;
	$caminhoFinal2="ImagensClientes/i".$idLabo.".JPG";
	$pdf->Image($caminhoFinal2,$margemEsquerda,$cota1,32,17,'JPG');
	//identificação do laboratório
	$pdf->SetFont('Arial','',10);
	$posicaoCab2=80;
	$pdf->setXY($posicaoCab2,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+4);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+8);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+12);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[3]),0,1,'L');//lab nome
	$pdf->setXY($posicaoCab2,$cota1+16);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[4]),0,1,'L');//lab nome
/////////////////////////////////////////////////////////////////////////////////////
//imprime o local e data
$pdf->SetFont('Arial','',8);
$pdf->setXY(120,50);
$dataHoje=date("d/m/Y");
$dia=date("d");
$mes=date("m");
$mesRetornado=$objetocalculo->mesExtenso($mes);//retorna o mes por extenso se for ingfrmado o mes numerico
$ano=date("Y");
$textoEnormeLocalData=$vetorCabecalho[6].', '. $dia . " de " .$mesRetornado.' de ' . $ano;
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnormeLocalData),0,0,'L');//lab nome



$cotaLaso=$cota1+30;
$pdf->setXY($margemEsquerda,$cotaLaso);
$pdf->Cell(100,$larguraLinha,utf8_decode("DADOS E ENDEREÇO DO LASO SUPERVISOR"),0,0,'L');//lab nome
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][1]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][2]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][3]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][4]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][5]),0,0,'R');//lab nome

$cotaLaso+=$larguraLinha;;
$pdf->setXY($margemEsquerda+80,$cotaLaso);
$pdf->Cell(80,$larguraLinha,utf8_decode($dadosLabo[$codigoLASO][6]),0,0,'R');//lab nome

$pdf->setXY($margemEsquerda,70);
$textoEnorme='Ao '. $dadosLabo[$codigoLASO][1];
if($cliente=="LIMAGRAIN")$textoEnorme="";
$pdf->Cell(100,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome








//imprime o prezado
$pdf->setXY($margemEsquerda,80);
if($cliente=="LIMAGRAIN")$nomeLaso="Responsável Técnico do LASO Supervisor ".$nomeLaso;
$textoEnorme='Prezado(a)'. $nomeLaso;
$textoPrezado='Prezado(a)'. $nomeLaso;
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome
$pdf->SetFont('Arial','',5);
//imprime numero do boletim menor e maior
$pdf->setXY($margemEsquerda,87);
if($bolMenor<10000):
	$textoEnorme='Segue abaixo o quantitativo de amostras analisadas, de acordo com a espécie,  correspondente aos Boletins de Análise de Sementes(BAS) Nº'.$bolMenor.'/'.$anoCorrente.  ' a ' . $bolMaior.'/'.$anoCorrente.".";
	$loteEnorme1='Segue abaixo o quantitativo de amostras analisadas, de acordo com a espécie,  correspondente aos Boletins de Análise de ' ;
	$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//primeira linha
    $pdf->setXY($margemEsquerda,90);
	$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode(" emitidos no mês de " .$mesNumero. " de ".$ano.". "),0,0,'L');//drginda linha
	$loteEnorme2=" Sementes Nº".$bolMenor.'/'.$anoCorrente.  ' a ' . $bolMaior.'/'.$anoCorrente.", emitidos no mês de " .$mesNumero. " de ".$anoCorrente.".";//segunda linha

else:
	$textoEnorme='Segue abaixo o quantitativo de amostras analisadas, de acordo com a espécie no mês de ' .$mesNumero." de " . $anoCorrente ." (Neste mês não foram feitos Boletins).";
	$loteEnorme1=$textoEnorme;
	$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome
endif;
					

////////////////////////////////////////////////////////////////////////////////////
	//aqui vao as linhas de identificaco
//IMPRIME A MATRIZ CONTEUDO
$largura[1]=48;
$largura[2]=29;
$largura[3]=29;
$largura[4]=17;
$largura[5]=17;
$largura[6]=17;
$largura[7]=17;

	//tabela de dados em si
	$cota1+=70;
	$posicaoCab2=$margemEsquerda+69+48;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($largura[1],10,utf8_decode("Grupo(*)"),1,0,'C');//lab nome
	$pdf->Cell($largura[2]+$largura[3],6,utf8_decode("Espécie(s)"),1,0,'C');//lab nome
	$pdf->Cell($largura[4]+$largura[5],6,utf8_decode("Análises"),1,0,'C');//lab nome

	$abcissaReanalise=$margemEsquerda+ $largura[1]+ $largura[2]+ $largura[3]+ $largura[4]+ $largura[5];
	$pdf->setXY($abcissaReanalise,$cota1-1);
	$pdf->Cell($largura[6]+$largura[7],6,utf8_decode("Reanálises artigo 103 da Portaria"),0,0,'C');//lab nome
	$pdf->setXY($abcissaReanalise,$cota1+3);
	$pdf->Cell($largura[6]+$largura[7],4,utf8_decode("538/2022"),0,0,'C');//lab nome
	$pdf->Rect($abcissaReanalise,$cota1,$largura[6]+$largura[7],10);//lab nome



    $posicaoCab2=$margemEsquerda+$largura[1];
	$cota1+=6;
	$pdf->setXY($posicaoCab2,$cota1);

    $pdf->Cell($largura[2],4,utf8_decode("Nome científico"),1,0,'C');//lab nome
    $pdf->Cell($largura[3],4,utf8_decode("Nome comum"),1,0,'C');//lab nome
	$pdf->Cell($largura[4],4,utf8_decode("Nº de amostras"),1,0,'C');//lab nome
	$pdf->Cell($largura[5],4,utf8_decode("Nº de ensaios"),1,0,'C');//lab nome
	$pdf->Cell($largura[6],4,utf8_decode("Nº de amostras"),1,0,'C');//lab nome
	$pdf->Cell($largura[7],4,utf8_decode("Nº de ensaios"),1,1,'C');//lab nome
	//comeca o relatorio em SI_
	$cota1+=4;
endif;//testa se é para dar salto de pagina

//ele vai criar o cabecalho so uma vez pois no excel nao pode ter dois cabecalhos.....
if($linha==1):
//AQUI TRANSFERE PARA O EXCEL TODA PARTE DE CIMA VABELAHO, EMPESA MINISTERIO LOTES ETC
//joga CABECALHO E IDENTIFICACOES  no excel//////////////////////////////////////////////////////////
	//cria a tabela que vai exportar para excel
	$tabela = '<table border="1">';
    $tabela .= '<tr>';
	//linha 1
	$tabela .= '<tr>';
	$tabela .= '<td><img src="'.BASEURL.'/'.$caminhoFinal1.'"/></td>';
	
	$tabela .= '<td colspan="6">'.utf8_decode('Ministério da Agricultura e Pecuária').'</td>';
    //segunda linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="6">'.utf8_decode('MAPA/SDA/DTEC/CGAL').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //terceira linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="6">'.utf8_decode('Coordenação de Gestão de Qualidade Laboratorial - CQL').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //quarta  linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="6">'.utf8_decode('Divisão de Fiscalização, Auditoria e Credenciamento - DIFAC').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //quinta linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td>-</td><td colspan="6">'.utf8_decode('FORMULÁRIO - FOR').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="7"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //nome do for difac
	$tabela .= '<tr>';
	$tabela .= '<td align="center" colspan="7">'.utf8_decode('FOR DIFAC/014/04 - Relatório Mensal de Análises de Sementes, por Espécie').'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
	//dados do laboratorio		 
	//linha 1
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2"><img src="'.BASEURL.'/'.$caminhoFinal2.'"/></td>';
	$tabela .= '<td colspan="4">'.utf8_decode($vetorCabecalho[0]).'</td>';
    $tabela .= '</tr>';
	
    //segunda linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[1]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //terceira linha do cabecalho
	$tabela .= '</tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[2]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
    //quarta  linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[3]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
    //quinta  linha do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td colspan="2">-</td><td colspan="4">'.utf8_decode($vetorCabecalho[4]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="7"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
	//TRANSFERE PARA EXCEL LOCAL E DATA
	$tabela .= '</tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4" >'.utf8_decode($textoEnormeLocalData).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

    //LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="7"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	
	//TRANSFERE PARA EXCEL DADOS E ENDERECO DO LASO SUPERVISOR(ECNCAI XADO VAI O PREZADO  EO NOME DO LASO)
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">'.utf8_decode('DADOS E ENDEREÇO DO LASO SUPERVISOR').'</td><td colspan="4">'.utf8_decode($dadosLabo[$codigoLASO][1]).'</td>';//usa para o titulo x colunas como definido em coslpan
	$tabela .= '</tr>';
	
	
	//TRANSFERE PARA EXCEL DADOS E ENDERECO DO LASO SUPERVISOR
    //PRIMEIRA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][2]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //SEGUNDA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][3]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //TERCEIRA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][4]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //QUARTA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][5]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //QUINTA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="2">-</td><td colspan="4">'.       utf8_decode($dadosLabo[$codigoLASO][6]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
  
	
	//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DE DADOS E ENDERECO DO LASO SUPERVISOR
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="7">'.utf8_decode($textoPrezado).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

	
	//TRANSFERE PARA EXCEL AS LINHAS ONDE FALA QUAIS OS LOTES ETC
    //PRIMEIRA LINHA 
	$tabela .= '<tr>';
	$tabela .= '<td colspan="7">'.utf8_decode($loteEnorme1).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
    //SEGUNDA LINHA 
	$tabela .= '</tr>';
	$tabela .= '<td colspan="7">'.utf8_decode($loteEnorme2).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
	//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
	$tabela .= '<tr>';
	$tabela .= '<td  colspan="7"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';

//AQUI LOGA GRUPOS ANALISE REANALISE
    $rotu1="Nome científico";
    $rotu1a="Nome comum";
    $rotu2="Análises";
    $rotu3="Reanálises artigo 103 da Portaria 538/2022";
	$tabela .= '</tr>';
	$tabela .= '<td  rowspan="2">Grupo*</td><td  rowspan="2">'.utf8_decode($rotu1).'</td><td  rowspan="2">'.utf8_decode($rotu1a).'</td><td colspan="2">'.utf8_decode($rotu2).'</td><td colspan="2">'.utf8_decode($rotu3).'</td>';//ESpECiE</td>usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr><tr>';
	$tabela .= '<td>'.utf8_decode("N° de Amostras").'</td><td>'.utf8_decode("N° de ensaios").'</td><td>'.utf8_decode("N° de Amostras").'</td><td>'.utf8_decode("N° de ensaios").'</td>';//ESPÉCIE</td>usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabela .= '</tr>';
endif;//este endif fecha um if para so colocar o cabecalo do acess uma vez




	////FIM DA ETAPA DE JOGAR NO EXCEL O CABECALHO/////////////////////////////////////////////////////
//FIM DA FASE DE jogaR CABECALHO E IDENTIFICACOES  no excel//////////////////////////////////////////////////////////





///////////////////////////////////// 
//AQUI REALMENTE VAI IMPRIMIR A TABELA/////////////////////////////////////
	//$tabela .= '</tr>';


$pdf->SetFont('Arial','',7);
$contaLinhasImprimidas++; 
/*aqui vai o seguinte algoritmo:
1-ele entra para cada linha e vai imprimir todas colunas de 1 a 6
2-vou criar o conteudo pois ele varia se for minas gerais( $codigoLASO==1 ) ele poe TESTES FORAM ENCONTRADOS(VER_PMS+INF))
3-se for tamanho da string >20 ele vai colocar multicel e adiantar o avanco da linha
4-se a opcao imprimir italico na coluna 2 entao ele vai mudar a fonte
*/
$conteudo[$linha][1]=$conteudo[$linha][1];
$conteudo[$linha][2]=$conteudo[$linha][2];
//o segundo texto agrega os TESTES FORAM ENCONTRADOS(VER_PMS+INF))
if($codigoLASO==1)$conteudo[$linha][3]=$conteudo[$linha][3].$testeAdicional[$linha][1].$testeAdicional[$linha][2].$testeAdicional[$linha][3].$testeAdicional[$linha][4];
$avancoMulticel=0;
$posicaoCorrente[1]=$margemEsquerda;
$posicaoCorrente[2]=$margemEsquerda+$largura[1];
$posicaoCorrente[3]=$margemEsquerda+$largura[1]+$largura[2];
$posicaoCorrente[4]=$margemEsquerda+$largura[1]+$largura[2]+$largura[3];
$posicaoCorrente[5]=$margemEsquerda+$largura[1]+$largura[2]+$largura[3]+$largura[4];
$posicaoCorrente[6]=$margemEsquerda+$largura[1]+$largura[2]+$largura[3]+$largura[4]+$largura[5];
$posicaoCorrente[7]=$margemEsquerda+$largura[1]+$largura[2]+$largura[3]+$largura[4]+$largura[5]+$largura[6];

$avancoMulticel=0;
//verifica se o primeiro ou o segundo deve ter quebra de linha pois ai vao fazer o rect com altura dobrada
$tabela .= '<tr>';


for($coluna=1;$coluna<=2;$coluna++):
   $textoImprimir=$conteudo[$linha][$coluna];  
   $tama=strlen($textoImprimir); 
   if($tama>38):
     $avancoMulticel=$larguraLinha;
   endif;	  
endfor;

for($coluna=1;$coluna<=7;$coluna++):
   $tabela .= '<td>'.utf8_decode($conteudo[$linha][$coluna]);	
   $pdf->setXY($posicaoCorrente[$coluna],$cota1);
   $textoImprimir=$conteudo[$linha][$coluna];  
   //$tama=strlen($textoImprimir); 
   //if($tama>38):
     //$avancoMulticel=$larguraLinha;
   //endif;	
	if($coluna==2):
	  $pdf->SetFont('Arial','I',5);

	else:
	  $pdf->SetFont('Arial','',5);
	endif;     
   $pdf->MultiCell($largura[$coluna],3,utf8_decode($textoImprimir),0,'L',false);//lab nome
   $pdf->Rect($posicaoCorrente[$coluna],$cota1,$largura[$coluna],$larguraLinha+$avancoMulticel);
   // else:      
   //$pdf->Cell($largura[$coluna],$larguraLinha,utf8_decode($textoImprimir.$tama.'cello'),1,0,$alinhamento);//lab nome 
   //endif;
   $tabela .= '</td>';
endfor;//for das colunas
$tabela .= '</tr>';
$cota1+=($larguraLinha+$avancoMulticel);
endfor;//for das linhas
$tabela .= '</tr>';





//imprime TEXTO GRANDE NO FINAL
$pdf->SetFont('Arial','',5);
$pdf->setXY($margemEsquerda,$cota1);
$textoEnormeLegenda1='* Fotemp = Forrageiras Temperadas; Fotrop = Forrageiras Tropicais; GC = Grandes Culturas; HO = Olerícolas, CO = Condimentares, ME = Medicinais, AR = Aromáticas; FL = Florestais;  OR = Ornamentais; BAT = Batata-semente.';
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnormeLegenda1),0,0,'L');//lab nome
$cota1+=3;
$pdf->setXY($margemEsquerda,$cota1);
$textoEnormeLegenda2='**Reanálises conforme o artigo 103,Portaria do MAPA Nº 538, de 20 de dezembro de 2022.';
//$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnormeLegenda2),0,0,'L');//lab nome
$pdf->SetFont('Arial','',7);

//imprime atenciosamente
$cota1+=10;
$pdf->setXY($margemEsquerda,$cota1);
$textoEnorme='Atenciosamente,';
$pdf->Cell($larguraUtil,$larguraLinha,utf8_decode($textoEnorme),0,0,'L');//lab nome


//imprime nome do rt
$cota1+=10;
//imprime duas linhas para assinar
$pdf->line(100,$cota1,180,$cota1);
//$pdf->line(100,$cota1+12,180,$cota1+12); xx

 //captura o rt
 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
 $idTecnico=$vetorTecnico[5];
$nome=$vetorTecnico[1];//nome do rt
$cargo=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc
$pdf->setXY(100,$cota1);
$pdf->Cell(80,$larguraLinha,utf8_decode($nome),0,0,'C');//lab nome
$pdf->setXY(100,$cota1+6);
$pdf->Cell(80,$larguraLinha,utf8_decode($cargo),0,0,'C');//lab nome
//IMPRIME ASSINATURA DO TECNICO DO VIGOR  080823
if($cliente=='VIGOR'):
	$idTecnico=$vetorTecnico[5];
	//if($assinaturaAtivada=='SIM'):
	$idTecnico=3;
	$caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
	$pdf->Image($caminhoFinalTecnico,115,$cota1-15,61,14,'JPG');
	//$pdf->Cell(80,$larguraLinha,utf8_decode($cargo)."WWW",0,0,'C');//lab nome
endif;//PERGUNTOU SE O CLIENTE É VIGOR





/////parte final////////////////////////////////////////////

//lanca na tabela excel os ultimos dados
$tabela .= '<tr>';
$tabela .= '<td  colspan="7">'.utf8_decode($textoEnormeLegenda1).'</td>';//linha legenda1
$tabela .= '</tr>';



//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
$tabela .= '<tr>';
$tabela .= '<td  colspan="7"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabela .= '</tr>';

//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
$tabela .= '<tr>';
$tabela .= '<td  colspan="7"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabela .= '</tr>';

//LINHA atenciosamente
$tabela .= '<tr>';
$tabela .= '<td  colspan="7">Atenciosamente</td>';//linha legenda1
$tabela .= '</tr>';
//LINHA EM BRANCO ANTES DO DIFAC DEPOIS DO  do cabecalho
$tabela .= '<tr>';
$tabela .= '<td  colspan="7"></td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabela .= '</tr>';

//LINHA nome tecnico
$tabela .= '<tr>';
$tabela .= '<td align="center" colspan="7">'.utf8_decode($nome).'</td>';//linha legenda1
$tabela .= '</tr>';

//LINHA cargo tecnico
$tabela .= '<tr>';
$tabela .= '<td align="center"  colspan="7">'.utf8_decode($cargo).'</td>';//linha legenda1
$tabela .= '</tr>';

$tabela .= '</table>';	//FECHA TABELa

$sessao->setVar('controleExcel',$tabela);
		   
		   
		   
		   
		   
 


///////////////////////////////////////////////////////////


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
